Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096135 - add ppc64le support to js
Summary: add ppc64le support to js
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: js
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-05-09 09:30 UTC by Menanteau Guy
Modified: 2014-05-14 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-14 16:41:24 UTC


Attachments (Terms of Use)
ppc64le support patch (deleted)
2014-05-09 09:30 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2014-05-09 09:30:02 UTC
Created attachment 893892 [details]
ppc64le support patch

Description of problem:
js build fails on arch ppc64le 

Version-Release number of selected component (if applicable):
js-1.8.5-16.fc21.ppc64le

How reproducible:
rpmbuild

Actual results:
build failed with following error:
In file included from ./assembler/jit/ExecutableAllocatorPosix.cpp:26:0:
./assembler/jit/ExecutableAllocator.h:401:6: error: #error "The cacheFlush support is missing on this platform."
     #error "The cacheFlush support is missing on this platform."

Additional info:
note I have got js build pass with attached patch.

Comment 1 Pavel Alexeev 2014-05-12 15:07:49 UTC
Is there ppc64le koji builders available? Where I could test scratch build?

Comment 2 Menanteau Guy 2014-05-13 08:23:30 UTC
You can submit to:

http://ppc-le.koji.fedoraproject.org/koji/index

Currently you need to make your own alias, copy, or symlink for /usr/bin/ppcle-koji  as well as /etc/koji/ppcle-config

Comment 3 Pavel Alexeev 2014-05-13 11:57:05 UTC
Unfortunately I have no access to https://ppc-le.koji.fedoraproject.org/koji/login with certificate what accepted to https://koji.fedoraproject.org/koji/index

Comment 4 Brent Baude 2014-05-13 13:42:06 UTC
Pavel, Can you jump into #fedora-ppcle and we can help you.

Comment 5 Dan Horák 2014-05-13 13:53:34 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #3)
> Unfortunately I have no access to
> https://ppc-le.koji.fedoraproject.org/koji/login with certificate what
> accepted to https://koji.fedoraproject.org/koji/index

This looks a problem of the koji web interface configuration only, koji CLI works fine here.


Note You need to log in before you can comment on or make changes to this bug.